create temporary table pgdump_restore_path(p text);
--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
-- Edit the following to match the path where the
-- tar archive has been extracted.
--
insert into pgdump_restore_path values('/tmp');

--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

ALTER TABLE ONLY public.transactions DROP CONSTRAINT transactions_operation_fkey;
ALTER TABLE ONLY public.transactions DROP CONSTRAINT transactions_debit_fkey1;
ALTER TABLE ONLY public.transactions DROP CONSTRAINT transactions_debit_fkey;
ALTER TABLE ONLY public.transactions DROP CONSTRAINT transactions_book_fkey;
ALTER TABLE ONLY public.operations DROP CONSTRAINT operations_book_fkey;
ALTER TABLE ONLY public.balances DROP CONSTRAINT balances_account_fkey;
ALTER TABLE ONLY public.accounts DROP CONSTRAINT accounts_parent_fkey;
ALTER TABLE ONLY public.accounts DROP CONSTRAINT accounts_book_fkey;
ALTER TABLE ONLY public.transactions DROP CONSTRAINT transactions_pkey;
ALTER TABLE ONLY public.operations DROP CONSTRAINT operations_pkey;
ALTER TABLE ONLY public.books DROP CONSTRAINT books_pkey;
ALTER TABLE ONLY public.balances DROP CONSTRAINT balances_pkey;
ALTER TABLE ONLY public.accounts DROP CONSTRAINT accounts_pkey;
ALTER TABLE public.transactions ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.operations ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.books ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.balances ALTER COLUMN id DROP DEFAULT;
ALTER TABLE public.accounts ALTER COLUMN id DROP DEFAULT;
DROP SEQUENCE public.transactions_id_seq;
DROP TABLE public.transactions;
DROP SEQUENCE public.operations_id_seq;
DROP TABLE public.operations;
DROP SEQUENCE public.books_id_seq;
DROP TABLE public.books;
DROP SEQUENCE public.balances_id_seq;
DROP TABLE public.balances;
DROP SEQUENCE public.accounts_id_seq;
DROP TABLE public.accounts;
DROP SCHEMA public;
--
-- Name: public; Type: SCHEMA; Schema: -; Owner: postgres
--

CREATE SCHEMA public;


ALTER SCHEMA public OWNER TO postgres;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = true;

--
-- Name: accounts; Type: TABLE; Schema: public; Owner: esodan; Tablespace: 
--

CREATE TABLE accounts (
    id integer NOT NULL,
    name character varying,
    type integer,
    code character varying,
    parent integer,
    book integer
);


ALTER TABLE public.accounts OWNER TO esodan;

--
-- Name: accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: esodan
--

CREATE SEQUENCE accounts_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.accounts_id_seq OWNER TO esodan;

--
-- Name: accounts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: esodan
--

ALTER SEQUENCE accounts_id_seq OWNED BY accounts.id;


--
-- Name: accounts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: esodan
--

SELECT pg_catalog.setval('accounts_id_seq', 22, true);


--
-- Name: balances; Type: TABLE; Schema: public; Owner: esodan; Tablespace: 
--

CREATE TABLE balances (
    id integer NOT NULL,
    debit boolean,
    amount timestamp without time zone,
    updated_on timestamp without time zone,
    account integer
);


ALTER TABLE public.balances OWNER TO esodan;

--
-- Name: balances_id_seq; Type: SEQUENCE; Schema: public; Owner: esodan
--

CREATE SEQUENCE balances_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.balances_id_seq OWNER TO esodan;

--
-- Name: balances_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: esodan
--

ALTER SEQUENCE balances_id_seq OWNED BY balances.id;


--
-- Name: balances_id_seq; Type: SEQUENCE SET; Schema: public; Owner: esodan
--

SELECT pg_catalog.setval('balances_id_seq', 1, false);


--
-- Name: books; Type: TABLE; Schema: public; Owner: esodan; Tablespace: 
--

CREATE TABLE books (
    id integer NOT NULL,
    name character varying,
    manager character varying
);


ALTER TABLE public.books OWNER TO esodan;

--
-- Name: books_id_seq; Type: SEQUENCE; Schema: public; Owner: esodan
--

CREATE SEQUENCE books_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.books_id_seq OWNER TO esodan;

--
-- Name: books_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: esodan
--

ALTER SEQUENCE books_id_seq OWNED BY books.id;


--
-- Name: books_id_seq; Type: SEQUENCE SET; Schema: public; Owner: esodan
--

SELECT pg_catalog.setval('books_id_seq', 1, true);


--
-- Name: operations; Type: TABLE; Schema: public; Owner: esodan; Tablespace: 
--

CREATE TABLE operations (
    id integer NOT NULL,
    description character varying,
    date date,
    book integer
);


ALTER TABLE public.operations OWNER TO esodan;

--
-- Name: operations_id_seq; Type: SEQUENCE; Schema: public; Owner: esodan
--

CREATE SEQUENCE operations_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.operations_id_seq OWNER TO esodan;

--
-- Name: operations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: esodan
--

ALTER SEQUENCE operations_id_seq OWNED BY operations.id;


--
-- Name: operations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: esodan
--

SELECT pg_catalog.setval('operations_id_seq', 16, true);


--
-- Name: transactions; Type: TABLE; Schema: public; Owner: esodan; Tablespace: 
--

CREATE TABLE transactions (
    id integer NOT NULL,
    description character varying,
    reference character varying,
    amount double precision,
    operation integer,
    debit integer,
    credit integer,
    book integer
);


ALTER TABLE public.transactions OWNER TO esodan;

--
-- Name: transactions_id_seq; Type: SEQUENCE; Schema: public; Owner: esodan
--

CREATE SEQUENCE transactions_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.transactions_id_seq OWNER TO esodan;

--
-- Name: transactions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: esodan
--

ALTER SEQUENCE transactions_id_seq OWNED BY transactions.id;


--
-- Name: transactions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: esodan
--

SELECT pg_catalog.setval('transactions_id_seq', 32, true);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: esodan
--

ALTER TABLE accounts ALTER COLUMN id SET DEFAULT nextval('accounts_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: esodan
--

ALTER TABLE balances ALTER COLUMN id SET DEFAULT nextval('balances_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: esodan
--

ALTER TABLE books ALTER COLUMN id SET DEFAULT nextval('books_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: esodan
--

ALTER TABLE operations ALTER COLUMN id SET DEFAULT nextval('operations_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: esodan
--

ALTER TABLE transactions ALTER COLUMN id SET DEFAULT nextval('transactions_id_seq'::regclass);


--
-- Data for Name: accounts; Type: TABLE DATA; Schema: public; Owner: esodan
--

COPY accounts (id, name, type, code, parent, book) FROM stdin;
\.
copy accounts (id, name, type, code, parent, book)  from '$$PATH$$/1779.dat' ;
--
-- Data for Name: balances; Type: TABLE DATA; Schema: public; Owner: esodan
--

COPY balances (id, debit, amount, updated_on, account) FROM stdin;
\.
copy balances (id, debit, amount, updated_on, account)  from '$$PATH$$/1782.dat' ;
--
-- Data for Name: books; Type: TABLE DATA; Schema: public; Owner: esodan
--

COPY books (id, name, manager) FROM stdin;
\.
copy books (id, name, manager)  from '$$PATH$$/1778.dat' ;
--
-- Data for Name: operations; Type: TABLE DATA; Schema: public; Owner: esodan
--

COPY operations (id, description, date, book) FROM stdin;
\.
copy operations (id, description, date, book)  from '$$PATH$$/1780.dat' ;
--
-- Data for Name: transactions; Type: TABLE DATA; Schema: public; Owner: esodan
--

COPY transactions (id, description, reference, amount, operation, debit, credit, book) FROM stdin;
\.
copy transactions (id, description, reference, amount, operation, debit, credit, book)  from '$$PATH$$/1781.dat' ;
--
-- Name: accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: esodan; Tablespace: 
--

ALTER TABLE ONLY accounts
    ADD CONSTRAINT accounts_pkey PRIMARY KEY (id);


--
-- Name: balances_pkey; Type: CONSTRAINT; Schema: public; Owner: esodan; Tablespace: 
--

ALTER TABLE ONLY balances
    ADD CONSTRAINT balances_pkey PRIMARY KEY (id);


--
-- Name: books_pkey; Type: CONSTRAINT; Schema: public; Owner: esodan; Tablespace: 
--

ALTER TABLE ONLY books
    ADD CONSTRAINT books_pkey PRIMARY KEY (id);


--
-- Name: operations_pkey; Type: CONSTRAINT; Schema: public; Owner: esodan; Tablespace: 
--

ALTER TABLE ONLY operations
    ADD CONSTRAINT operations_pkey PRIMARY KEY (id);


--
-- Name: transactions_pkey; Type: CONSTRAINT; Schema: public; Owner: esodan; Tablespace: 
--

ALTER TABLE ONLY transactions
    ADD CONSTRAINT transactions_pkey PRIMARY KEY (id);


--
-- Name: accounts_book_fkey; Type: FK CONSTRAINT; Schema: public; Owner: esodan
--

ALTER TABLE ONLY accounts
    ADD CONSTRAINT accounts_book_fkey FOREIGN KEY (book) REFERENCES books(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: accounts_parent_fkey; Type: FK CONSTRAINT; Schema: public; Owner: esodan
--

ALTER TABLE ONLY accounts
    ADD CONSTRAINT accounts_parent_fkey FOREIGN KEY (parent) REFERENCES accounts(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: balances_account_fkey; Type: FK CONSTRAINT; Schema: public; Owner: esodan
--

ALTER TABLE ONLY balances
    ADD CONSTRAINT balances_account_fkey FOREIGN KEY (account) REFERENCES accounts(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: operations_book_fkey; Type: FK CONSTRAINT; Schema: public; Owner: esodan
--

ALTER TABLE ONLY operations
    ADD CONSTRAINT operations_book_fkey FOREIGN KEY (book) REFERENCES books(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: transactions_book_fkey; Type: FK CONSTRAINT; Schema: public; Owner: esodan
--

ALTER TABLE ONLY transactions
    ADD CONSTRAINT transactions_book_fkey FOREIGN KEY (book) REFERENCES books(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: transactions_debit_fkey; Type: FK CONSTRAINT; Schema: public; Owner: esodan
--

ALTER TABLE ONLY transactions
    ADD CONSTRAINT transactions_debit_fkey FOREIGN KEY (debit) REFERENCES accounts(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: transactions_debit_fkey1; Type: FK CONSTRAINT; Schema: public; Owner: esodan
--

ALTER TABLE ONLY transactions
    ADD CONSTRAINT transactions_debit_fkey1 FOREIGN KEY (debit) REFERENCES accounts(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: transactions_operation_fkey; Type: FK CONSTRAINT; Schema: public; Owner: esodan
--

ALTER TABLE ONLY transactions
    ADD CONSTRAINT transactions_operation_fkey FOREIGN KEY (operation) REFERENCES operations(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

